Index a public website
curl --request POST \
--url https://api.hyperspell.com/integrations/web_crawler/crawl \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"max_depth": 3,
"limit": 100
}
'import requests
url = "https://api.hyperspell.com/integrations/web_crawler/crawl"
payload = {
"url": "<string>",
"max_depth": 3,
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', max_depth: 3, limit: 100})
};
fetch('https://api.hyperspell.com/integrations/web_crawler/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/integrations/web_crawler/crawl",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'max_depth' => 3,
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/integrations/web_crawler/crawl"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hyperspell.com/integrations/web_crawler/crawl")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/integrations/web_crawler/crawl")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_body{
"url": "",
"status": "queued",
"discovered": 0,
"indexed": 0,
"failed": 0,
"limit": 0,
"limit_reached": false,
"errors": [
"<string>"
],
"duplicates": 0,
"run_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations
Index a public website
POST
/
integrations
/
web_crawler
/
crawl
Index a public website
curl --request POST \
--url https://api.hyperspell.com/integrations/web_crawler/crawl \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"max_depth": 3,
"limit": 100
}
'import requests
url = "https://api.hyperspell.com/integrations/web_crawler/crawl"
payload = {
"url": "<string>",
"max_depth": 3,
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', max_depth: 3, limit: 100})
};
fetch('https://api.hyperspell.com/integrations/web_crawler/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/integrations/web_crawler/crawl",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'max_depth' => 3,
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/integrations/web_crawler/crawl"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hyperspell.com/integrations/web_crawler/crawl")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/integrations/web_crawler/crawl")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"max_depth\": 3,\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_body{
"url": "",
"status": "queued",
"discovered": 0,
"indexed": 0,
"failed": 0,
"limit": 0,
"limit_reached": false,
"errors": [
"<string>"
],
"duplicates": 0,
"run_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Body
application/json
Required string length:
1 - 2048Visibility for new pages. New websites default to shared; existing websites keep their saved choice.
Available options:
personal, shared Required range:
0 <= x <= 5Required range:
1 <= x <= 1000Was this page helpful?